summaryrefslogtreecommitdiff
path: root/tmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster)
diff options
context:
space:
mode:
Diffstat (limited to 'tmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster)')
-rwxr-xr-xtmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster)7
1 files changed, 7 insertions, 0 deletions
diff --git a/tmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster) b/tmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster)
new file mode 100755
index 0000000..4ad505d
--- /dev/null
+++ b/tmuxsh/_tmux_goto_nap,--.jump.to.named.window.(napster)
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+# Window Name from filename (e.g _tmux_goto_name,-- description --> name)
+WIN_NAME="$(echo "${0##*/}" | cut -d ',' -f1 | cut -d '_' -f4)"
+LINE=$(tmux list-windows -a -F "#{session_name}:#{window_id}: #{window_name}" | grep ": ${WIN_NAME}$") || exit 0
+SESSION="$(echo "$LINE" | cut -d ':' -f1)"
+WINDOW_NUM="$(echo "$LINE" | cut -d ':' -f2)"
+tmux select-window -t "$WINDOW_NUM" && tmux switch-client -t "$SESSION"